unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Button2: TButton;
    Label2: TLabel;
    ColorDialog1: TColorDialog;
    FontDialog1: TFontDialog;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
   if ColorDialog1.Execute then
   begin
      Label1.Caption:=ColorToString(ColorDialog1.Color);
      Label1.Color:=ColorDialog1.Color
   end
   else ShowMessage('Nie wybrano nowego koloru!');
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if FontDialog1.Execute then Label2.Font:=FontDialog1.Font
  else ShowMessage('Nie wybrano czcionki!');
end;

end.
